> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog schema details

> Get detailed information for all schemas inside a catalog.



## OpenAPI

````yaml get /api/metastore/catalogs/{catalog_name}/schemas/details
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/catalogs/{catalog_name}/schemas/details:
    get:
      tags:
        - Metastore
      summary: Get catalog schema details
      description: Get detailed information for all schemas inside a catalog.
      operationId: >-
        get_schemas_details_api_metastore_catalogs__catalog_name__schemas_details_get
      parameters:
        - name: catalog_name
          in: path
          required: true
          schema:
            type: string
            description: Name of the catalog to retrieve schemas details for.
            title: Catalog Name
          description: Name of the catalog to retrieve schemas details for.
      responses:
        '200':
          description: Schema details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SchemasDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SchemasDetailsResponse:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/SchemaDetailInfo'
          type: array
          title: Schemas
          description: List of schema details.
        total_schemas:
          type: integer
          title: Total Schemas
          description: Total number of schemas.
      type: object
      required:
        - schemas
        - total_schemas
      title: SchemasDetailsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SchemaDetailInfo:
      properties:
        schema_name:
          type: string
          title: Schema Name
        total_tables_and_views:
          type: integer
          title: Total Tables And Views
        total_tables:
          type: integer
          title: Total Tables
        total_views:
          type: integer
          title: Total Views
      type: object
      required:
        - schema_name
        - total_tables_and_views
        - total_tables
        - total_views
      title: SchemaDetailInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````